package com.mortals.xhx.module.skin.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.skin.model.vo.SkinBaseVo;
/**
 * 系统基础皮肤实体对象
 *
 * @author zxfei
 * @date 2022-05-24
 */

public class SkinBaseEntity extends SkinBaseVo {
    private static final long serialVersionUID = 1L;

    /**
     * 所属种类,来源种类
     */
    private Long categoryId;
    /**
     * 产品id
     */
    private Long productId;
    /**
     * 产品名称
     */
    @Excel(name = "产品名称")
    private String productName;
    /**
     * css模板合成后文件地址
     */
    private String cssFilePath;
    /**
     * 排序编号
     */
    private Integer sortNum;
    /**
     * 产品皮肤名称，唯一且不为空
     */
    private String name;



    public SkinBaseEntity(){}
    /**
     * 获取 所属种类,来源种类
     * @return Long
     */
    public Long getCategoryId(){
        return categoryId;
    }
    /**
     * 设置 所属种类,来源种类
     * @param categoryId
     */
    public void setCategoryId(Long categoryId){
        this.categoryId = categoryId;
    }
    /**
     * 获取 产品id
     * @return Long
     */
    public Long getProductId(){
        return productId;
    }
    /**
     * 设置 产品id
     * @param productId
     */
    public void setProductId(Long productId){
        this.productId = productId;
    }
    /**
     * 获取 产品名称
     * @return String
     */
    public String getProductName(){
        return productName;
    }
    /**
     * 设置 产品名称
     * @param productName
     */
    public void setProductName(String productName){
        this.productName = productName;
    }
    /**
     * 获取 css模板合成后文件地址
     * @return String
     */
    public String getCssFilePath(){
        return cssFilePath;
    }
    /**
     * 设置 css模板合成后文件地址
     * @param cssFilePath
     */
    public void setCssFilePath(String cssFilePath){
        this.cssFilePath = cssFilePath;
    }
    /**
     * 获取 排序编号
     * @return Integer
     */
    public Integer getSortNum(){
        return sortNum;
    }
    /**
     * 设置 排序编号
     * @param sortNum
     */
    public void setSortNum(Integer sortNum){
        this.sortNum = sortNum;
    }
    /**
     * 获取 产品皮肤名称，唯一且不为空
     * @return String
     */
    public String getName(){
        return name;
    }
    /**
     * 设置 产品皮肤名称，唯一且不为空
     * @param name
     */
    public void setName(String name){
        this.name = name;
    }




    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof SkinBaseEntity) {
            SkinBaseEntity tmp = (SkinBaseEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",categoryId:").append(getCategoryId());
        sb.append(",productId:").append(getProductId());
        sb.append(",productName:").append(getProductName());
        sb.append(",cssFilePath:").append(getCssFilePath());
        sb.append(",sortNum:").append(getSortNum());
        sb.append(",name:").append(getName());
        return sb.toString();
    }

    public void initAttrValue(){

        this.categoryId = null;

        this.productId = null;

        this.productName = "";

        this.cssFilePath = "";

        this.sortNum = 0;

        this.name = "";
    }
}